<template>
  <div>
    <div class="page-content" v-if="project">
      <page-header>
        <div class="container-fluid">
          <div class="row">
            <div class="col-12 col-lg-6 offset-lg-3">
              <search-bar></search-bar>
            </div>
          </div>
        </div>
      </page-header>
      <info-section :project="project"></info-section>
      <stats-section :project="project"></stats-section>
      <action-section :project="project"></action-section>
    </div>
  </div>
</template>

<script>
import InfoSection from "./InfoSection";
import StatsSection from "./StatsSection";
// import RepositorySection from './RepositorySection'
import ActionSection from "./ActionSection";
import store from "../../store";
import { mapState } from "vuex";
export default {
  beforeRouteEnter(to, from, next) {
    store.dispatch("projectModule/getProject", to.params.id).then(() => {
      next();
    });
  },
  components: {
    // RepositorySection,
    ActionSection,
    InfoSection,
    StatsSection
  },
  data() {
    return {
      repository: "test.git",
      branches: ["master", "develop"],
      selectedBranch: "master",
      selectorOpen: false,
      avatars: [
        "https://media-exp1.licdn.com/dms/image/C5603AQHqFPttSA7ejA/profile-displayphoto-shrink_200_200/0?e=1585180800&v=beta&t=8wvFn0rKx_NE-cBP8KroEJKWNG1Y1qzMgtfwyxhFu5g",
        "https://yt3.ggpht.com/a/AGF-l78vYM3jiugoM4LzbK740vbAeLy5YFpJHmBIqg=s100-c-k-c0xffffffff-no-rj-mo",
        "https://pbs.twimg.com/profile_images/778314284703031296/BAmCMmhE_400x400.jpg"
      ]
    };
  },
  methods: {
    getProject() {
      this.$apiService.getProject(this.$route.params.id).then(response => {
        this.project = response.data;
      });
    },
    selectBranch(branch) {
      this.selectedBranch = branch;
    },
    setProject(project) {
      this.project = project;
    }
  },
  computed: mapState("projectModule", ["project"])
};
</script>

<style lang="scss" scoped>
.project-section {
  border-bottom: 1px solid #dbdbdb;
  padding-top: 20px;
  padding-bottom: 20px;
}
#app {
  &.darkMode {
    .project-section {
      border-bottom-color: #3e4756;
    }
    .avatar-section {
      color: #5e6571;
      .avatar {
        border-color: #2f3641;
      }
    }
    .project-info-section {
      border-bottom-color: #3e4756;
      .title {
        color: #8b9aa5;
      }
      .description {
        color: #9fa3ae;
      }
    }
    .project-repository-section {
      border-bottom-color: #3e4756;
      .title {
        color: #687782;
      }
      .title-label {
        color: #465560;
      }
    }
  }
}
</style>
